diff --git a/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestCompletePanel.java b/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestCompletePanel.java
index f87b03d8ce09d084850e565ac7e6931a5a65cad3..c014071931b975247d2712278850ad78ad8b482b 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestCompletePanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestCompletePanel.java
@@ -19,12 +19,10 @@ package com.netscape.admin.certsrv.notification;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.config.*;
 import javax.swing.*;
 import java.awt.*;
-import java.util.*;
 import java.awt.event.*;
 
 /**
@@ -137,10 +135,10 @@ public class RequestCompletePanel extends CMSBaseTab implements ItemListener {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-		nvps.add(Constants.PR_ENABLE,"");
-        nvps.add(Constants.PR_NOTIFICATION_FORM_NAME, "");
-        nvps.add(Constants.PR_NOTIFICATION_SUBJECT, "");
-        nvps.add(Constants.PR_NOTIFICATION_SENDER, "");
+		nvps.put(Constants.PR_ENABLE, "");
+        nvps.put(Constants.PR_NOTIFICATION_FORM_NAME, "");
+        nvps.put(Constants.PR_NOTIFICATION_SUBJECT, "");
+        nvps.put(Constants.PR_NOTIFICATION_SENDER, "");
 
         try {
             NameValuePairs val = mAdmin.read(mServletName,
@@ -157,20 +155,16 @@ public class RequestCompletePanel extends CMSBaseTab implements ItemListener {
     }
 
     protected void populate(NameValuePairs nvps) {
-        String clientCert = "";
-
-        String version = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_NOTIFICATION_FORM_NAME)) {
-                mEmailFormText.setText(nvp.getValue());
+                mEmailFormText.setText(value);
             } else if (name.equals(Constants.PR_NOTIFICATION_SUBJECT)) {
-                mEmailSubjectText.setText(nvp.getValue());
+                mEmailSubjectText.setText(value);
             } else if (name.equals(Constants.PR_NOTIFICATION_SENDER)) {
-                mSenderEmailText.setText(nvp.getValue());
+                mSenderEmailText.setText(value);
             } else if (name.equals(Constants.PR_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnable.setSelected(true);
                 else
                     mEnable.setSelected(false);
@@ -249,14 +243,14 @@ public class RequestCompletePanel extends CMSBaseTab implements ItemListener {
 
         NameValuePairs nvps = new NameValuePairs();
 		if (mEnable.isSelected())
-			nvps.add(Constants.PR_ENABLE,Constants.TRUE);
+			nvps.put(Constants.PR_ENABLE, Constants.TRUE);
 		else
-			nvps.add(Constants.PR_ENABLE,Constants.FALSE);
+			nvps.put(Constants.PR_ENABLE, Constants.FALSE);
 
         if (mEnable.isSelected()){
-            nvps.add(Constants.PR_NOTIFICATION_FORM_NAME, emailForm);
-            nvps.add(Constants.PR_NOTIFICATION_SUBJECT, emailSubject);
-            nvps.add(Constants.PR_NOTIFICATION_SENDER, senderEmail);
+            nvps.put(Constants.PR_NOTIFICATION_FORM_NAME, emailForm);
+            nvps.put(Constants.PR_NOTIFICATION_SUBJECT, emailSubject);
+            nvps.put(Constants.PR_NOTIFICATION_SENDER, senderEmail);
 		}
 
         mModel.progressStart();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestInQPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestInQPanel.java
index 1f48ef90d9f55cb56fa112b9cfe203c9feeb827e..aa37ed1499ed4abcb0d522706c7bf29302a723c8 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestInQPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestInQPanel.java
@@ -19,12 +19,10 @@ package com.netscape.admin.certsrv.notification;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.config.*;
 import javax.swing.*;
 import java.awt.*;
-import java.util.*;
 import java.awt.event.*;
 
 /**
@@ -146,11 +144,11 @@ public class RequestInQPanel extends CMSBaseTab implements ItemListener {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-		nvps.add(Constants.PR_ENABLE,"");
-        nvps.add(Constants.PR_NOTIFICATION_FORM_NAME, "");
-        nvps.add(Constants.PR_NOTIFICATION_SUBJECT, "");
-        nvps.add(Constants.PR_NOTIFICATION_SENDER, "");
-        nvps.add(Constants.PR_NOTIFICATION_RECEIVER, "");
+		nvps.put(Constants.PR_ENABLE, "");
+        nvps.put(Constants.PR_NOTIFICATION_FORM_NAME, "");
+        nvps.put(Constants.PR_NOTIFICATION_SUBJECT, "");
+        nvps.put(Constants.PR_NOTIFICATION_SENDER, "");
+        nvps.put(Constants.PR_NOTIFICATION_RECEIVER, "");
 
         try {
             NameValuePairs val = mAdmin.read(mServletName,
@@ -167,22 +165,18 @@ public class RequestInQPanel extends CMSBaseTab implements ItemListener {
     }
 
     protected void populate(NameValuePairs nvps) {
-        String clientCert = "";
-
-        String version = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_NOTIFICATION_FORM_NAME)) {
-                mEmailFormText.setText(nvp.getValue());
+                mEmailFormText.setText(value);
             } else if (name.equals(Constants.PR_NOTIFICATION_SUBJECT)) {
-                mEmailSubjectText.setText(nvp.getValue());
+                mEmailSubjectText.setText(value);
             } else if (name.equals(Constants.PR_NOTIFICATION_SENDER)) {
-                mSenderEmailText.setText(nvp.getValue());
+                mSenderEmailText.setText(value);
             } else if (name.equals(Constants.PR_NOTIFICATION_RECEIVER)) {
-                mReceiverEmailText.setText(nvp.getValue());
+                mReceiverEmailText.setText(value);
             } else if (name.equals(Constants.PR_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnable.setSelected(true);
                 else
                     mEnable.setSelected(false);
@@ -270,15 +264,15 @@ public class RequestInQPanel extends CMSBaseTab implements ItemListener {
 
         NameValuePairs nvps = new NameValuePairs();
 		if (mEnable.isSelected())
-			nvps.add(Constants.PR_ENABLE,Constants.TRUE);
+			nvps.put(Constants.PR_ENABLE, Constants.TRUE);
 		else
-			nvps.add(Constants.PR_ENABLE,Constants.FALSE);
+			nvps.put(Constants.PR_ENABLE, Constants.FALSE);
 
         if (mEnable.isSelected()){
-            nvps.add(Constants.PR_NOTIFICATION_FORM_NAME, emailForm);
-            nvps.add(Constants.PR_NOTIFICATION_SUBJECT, emailSubject);
-            nvps.add(Constants.PR_NOTIFICATION_SENDER, senderEmail);
-            nvps.add(Constants.PR_NOTIFICATION_RECEIVER, receiverEmail);
+            nvps.put(Constants.PR_NOTIFICATION_FORM_NAME, emailForm);
+            nvps.put(Constants.PR_NOTIFICATION_SUBJECT, emailSubject);
+            nvps.put(Constants.PR_NOTIFICATION_SENDER, senderEmail);
+            nvps.put(Constants.PR_NOTIFICATION_RECEIVER, receiverEmail);
 		}
 
         mModel.progressStart();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestRevokedPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestRevokedPanel.java
index ec45287aa77e2dfc875020ec8dbc151ddf97e3d8..60b0e294935bafc21f40f8e86fbae25fd9b6382c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestRevokedPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/notification/RequestRevokedPanel.java
@@ -19,12 +19,10 @@ package com.netscape.admin.certsrv.notification;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.config.*;
 import javax.swing.*;
 import java.awt.*;
-import java.util.*;
 import java.awt.event.*;
 
 /**
@@ -137,10 +135,10 @@ public class RequestRevokedPanel extends CMSBaseTab implements ItemListener {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-		nvps.add(Constants.PR_ENABLE,"");
-        nvps.add(Constants.PR_NOTIFICATION_FORM_NAME, "");
-        nvps.add(Constants.PR_NOTIFICATION_SUBJECT, "");
-        nvps.add(Constants.PR_NOTIFICATION_SENDER, "");
+		nvps.put(Constants.PR_ENABLE, "");
+        nvps.put(Constants.PR_NOTIFICATION_FORM_NAME, "");
+        nvps.put(Constants.PR_NOTIFICATION_SUBJECT, "");
+        nvps.put(Constants.PR_NOTIFICATION_SENDER, "");
 
         try {
             NameValuePairs val = mAdmin.read(mServletName,
@@ -160,17 +158,16 @@ public class RequestRevokedPanel extends CMSBaseTab implements ItemListener {
         String clientCert = "";
 
         String version = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_NOTIFICATION_FORM_NAME)) {
-                mEmailFormText.setText(nvp.getValue());
+                mEmailFormText.setText(value);
             } else if (name.equals(Constants.PR_NOTIFICATION_SUBJECT)) {
-                mEmailSubjectText.setText(nvp.getValue());
+                mEmailSubjectText.setText(value);
             } else if (name.equals(Constants.PR_NOTIFICATION_SENDER)) {
-                mSenderEmailText.setText(nvp.getValue());
+                mSenderEmailText.setText(value);
             } else if (name.equals(Constants.PR_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnable.setSelected(true);
                 else
                     mEnable.setSelected(false);
@@ -249,14 +246,14 @@ public class RequestRevokedPanel extends CMSBaseTab implements ItemListener {
 
         NameValuePairs nvps = new NameValuePairs();
 		if (mEnable.isSelected())
-			nvps.add(Constants.PR_ENABLE,Constants.TRUE);
+			nvps.put(Constants.PR_ENABLE, Constants.TRUE);
 		else
-			nvps.add(Constants.PR_ENABLE,Constants.FALSE);
+			nvps.put(Constants.PR_ENABLE, Constants.FALSE);
 
         if (mEnable.isSelected()){
-            nvps.add(Constants.PR_NOTIFICATION_FORM_NAME, emailForm);
-            nvps.add(Constants.PR_NOTIFICATION_SUBJECT, emailSubject);
-            nvps.add(Constants.PR_NOTIFICATION_SENDER, senderEmail);
+            nvps.put(Constants.PR_NOTIFICATION_FORM_NAME, emailForm);
+            nvps.put(Constants.PR_NOTIFICATION_SUBJECT, emailSubject);
+            nvps.put(Constants.PR_NOTIFICATION_SENDER, senderEmail);
 		}
 
         mModel.progressStart();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/status/LogInstancePanel.java b/pki/base/console/src/com/netscape/admin/certsrv/status/LogInstancePanel.java
index 36308e21f5689579a1b526af23858604c47e53f9..dc6a8da2742b7161e1f263bce155ad9ba8cd485c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/status/LogInstancePanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/status/LogInstancePanel.java
@@ -18,12 +18,11 @@
 package com.netscape.admin.certsrv.status;
 
 
-import java.util.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
-import javax.swing.event.*;
+
 import java.awt.event.*;
 
 /**
@@ -76,18 +75,18 @@ public class LogInstancePanel extends CMSLogPanel {
 
         //construct NVP
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_LOG_INSTANCE, mInstanceName);
-        config.add(Constants.PR_LOG_ENTRY,mNoRecord.getText().trim());
-        config.add(Constants.PR_LOG_SOURCE,Integer.toString(mSource.getSelectedIndex()));
-        config.add(Constants.PR_LOG_LEVEL,Integer.toString(mLevel.getSelectedIndex()));
+        config.put(Constants.PR_LOG_INSTANCE, mInstanceName);
+        config.put(Constants.PR_LOG_ENTRY, mNoRecord.getText().trim());
+        config.put(Constants.PR_LOG_SOURCE, Integer.toString(mSource.getSelectedIndex()));
+        config.put(Constants.PR_LOG_LEVEL, Integer.toString(mLevel.getSelectedIndex()));
         if ((mFile.getSelectedIndex()< 0) || (mFile.getSelectedIndex()< 0)) {
-            config.add(Constants.PR_LOG_NAME,Constants.PR_CURRENT_LOG);
+            config.put(Constants.PR_LOG_NAME, Constants.PR_CURRENT_LOG);
             mSelectedFile = mResource.getString("LOGCONTENT_COMBOBOX_FILE_DEFAULT");
         } else {
             String filename = (String) mFile.getSelectedItem();
             if (filename.equalsIgnoreCase(Constants.PR_CURRENT_LOG))
                 filename = Constants.PR_CURRENT_LOG;
-            config.add(Constants.PR_LOG_NAME, filename);
+            config.put(Constants.PR_LOG_NAME, filename);
             mSelectedFile = (String) mFile.getSelectedItem();
         }
         NameValuePairs response;
@@ -107,8 +106,7 @@ public class LogInstancePanel extends CMSLogPanel {
         Debug.println(response.toString());
 
         //update the table
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = (String)e.nextElement();
+        for (String entry : response.keySet()) {
             mDataModel.processData(entry);
         }
 
@@ -130,7 +128,7 @@ public class LogInstancePanel extends CMSLogPanel {
         mModel.progressStart();
         //construct NVP
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_LOG_INSTANCE, mInstanceName);
+        config.put(Constants.PR_LOG_INSTANCE, mInstanceName);
         try {
             response = connection.search(DestDef.DEST_LOG_ADMIN,
                                ScopeDef.SC_LOG_ARCH,
@@ -143,8 +141,7 @@ public class LogInstancePanel extends CMSLogPanel {
         }
 
         //update the combo
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = (String)e.nextElement();
+        for (String entry : response.keySet()) {
             mFile.addItem(entry);
         }
         mModel.progressStop();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/status/StatusPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/status/StatusPanel.java
index 237224415cc87444ad7bba140f8c47a6ed537544..431d0d61f4696aacb10fdf2cbd633641eb002ea5 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/status/StatusPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/status/StatusPanel.java
@@ -18,11 +18,10 @@
 package com.netscape.admin.certsrv.status;
 
 import java.awt.*;
-import java.util.*;
 import javax.swing.*;
 import javax.swing.border.*;
 import com.netscape.admin.certsrv.*;
-import javax.swing.event.*;
+
 import java.awt.event.*;
 import com.netscape.management.client.*;
 import com.netscape.management.client.util.*;
@@ -215,8 +214,8 @@ public class StatusPanel extends CMSBasePanel
 	public void refresh() {
 
 	    NameValuePairs params = new NameValuePairs();
-	    params.add(Constants.PR_STAT_STARTUP,"");
-	    params.add(Constants.PR_STAT_TIME,"");
+	    params.put(Constants.PR_STAT_STARTUP, "");
+	    params.put(Constants.PR_STAT_TIME, "");
 
         NameValuePairs response;
         mModel.progressStart();
@@ -237,11 +236,11 @@ public class StatusPanel extends CMSBasePanel
         Debug.println("StatusPanel: refresh() "+ response.toString());
 
         //populate data
-        mServerName.setText(response.getValue(Constants.PR_STAT_INSTANCEID));
-        mServerVersion.setText(response.getValue(Constants.PR_STAT_VERSION));
-        mInstallDate.setText(response.getValue(Constants.PR_STAT_INSTALLDATE));
-        mServerStart.setText(response.getValue(Constants.PR_STAT_STARTUP));
-        mServerTime.setText(response.getValue(Constants.PR_STAT_TIME));
+        mServerName.setText(response.get(Constants.PR_STAT_INSTANCEID));
+        mServerVersion.setText(response.get(Constants.PR_STAT_VERSION));
+        mInstallDate.setText(response.get(Constants.PR_STAT_INSTALLDATE));
+        mServerStart.setText(response.get(Constants.PR_STAT_STARTUP));
+        mServerTime.setText(response.get(Constants.PR_STAT_TIME));
 	}
 
 }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthBaseDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthBaseDialog.java
index d2a412d1845dd16028ec4530b1da6a9c6744bcec..6656b3abbae026a5006be8f4f8a9d3167308f58a 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthBaseDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthBaseDialog.java
@@ -18,16 +18,13 @@
 package com.netscape.admin.certsrv.ug;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.config.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.table.*;
 import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -90,12 +87,12 @@ public class AuthBaseDialog extends JDialog
         mDataModel.removeAllRows();
         mData = data;
 
-        mImplName.setText(data.getValue(Constants.PR_AUTH_IMPL_NAME));
+        mImplName.setText(data.get(Constants.PR_AUTH_IMPL_NAME));
 
-        for (Enumeration e = data.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
+        for (String entry : data.keySet()) {
+            entry = entry.trim();
             if (!entry.equals(Constants.PR_AUTH_IMPL_NAME)) {
-                String value = data.getValue(entry);
+                String value = data.get(entry);
                 Vector v = new Vector();
                 v.addElement(entry);
                 v.addElement(value);
@@ -134,10 +131,10 @@ public class AuthBaseDialog extends JDialog
 
     protected NameValuePairs getData() {
         NameValuePairs response = new NameValuePairs();
-        response.add(Constants.PR_AUTH_IMPL_NAME,mImplName.getText());
+        response.put(Constants.PR_AUTH_IMPL_NAME, mImplName.getText());
         for (int i=0; i< mDataModel.getRowCount(); i++) {
-            response.add((String)mDataModel.getValueAt(i,0),
-                         (String)mDataModel.getValueAt(i,1));
+            response.put((String) mDataModel.getValueAt(i, 0),
+                    (String) mDataModel.getValueAt(i, 1));
         }
         return response;
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplDataModel.java
index ca034e61cbfba3a0f15d974664ce6d141b428b80..98214871ef16e9d7acf2a9e0eb6e84e600ff0ba4 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplDataModel.java
@@ -21,7 +21,6 @@ import java.util.*;
 import javax.swing.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 
 /**
  * Auth Plugin Implementation Data model - represents the implementation
@@ -59,13 +58,13 @@ public class AuthImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        JLabel label = new JLabel(obj.getValue(IMPL_NAME),
+        JLabel label = new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_AUTH_PLUGIN),
             JLabel.LEFT);
-        if(!obj.getValue(IMPL_DESC).trim().equals(""))
-            label.setToolTipText(obj.getValue(IMPL_DESC));
+        if(!obj.get(IMPL_DESC).trim().equals(""))
+            label.setToolTipText(obj.get(IMPL_DESC));
         v.addElement(label);
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplTab.java
index 52ec30824650f2e34dd69310d7261d27752e9898..0cc964c6021af5b3ac66531bfb2a4849c1c13ec9 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthImplTab.java
@@ -19,13 +19,12 @@ package com.netscape.admin.certsrv.ug;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
-import com.netscape.admin.certsrv.config.*;
+
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -232,7 +231,7 @@ public class AuthImplTab extends CMSBaseUGTab {
         if (index >= 0) {
             NameValuePairs nvp =
               (NameValuePairs)mDataModel.getObjectValueAt(index);
-            String type = nvp.getValue(IMPL_TYPE);
+            String type = nvp.get(IMPL_TYPE);
             if (type.equals(Constants.VIEW) || type.equals(Constants.VIEW))
                 mDelete.setEnabled(false);
         }
@@ -264,9 +263,9 @@ public class AuthImplTab extends CMSBaseUGTab {
         int i=0;
         String[] vals = new String[response.size()];
         Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
 			Debug.println("AuthImplTab.java update(): "+
 						"entry="+entry+
 						"value="+value
@@ -274,34 +273,34 @@ public class AuthImplTab extends CMSBaseUGTab {
             int x = value.indexOf(",");
             int y = value.indexOf(TOKEN);
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry);
+            obj.put(IMPL_NAME, entry);
 			Debug.println("x="+x);
             if(x != -1) {
 				Debug.println("0 obj.add(IMPL_CLASS,"+value.substring(0,x));
-                obj.add(IMPL_CLASS, value.substring(0,x));
+                obj.put(IMPL_CLASS, value.substring(0, x));
                 if (y == -1) {
 					Debug.println("1 obj.add(IMPL_DESC,"+value.substring(0,x));
-                    obj.add(IMPL_DESC, value.substring(x+1));
+                    obj.put(IMPL_DESC, value.substring(x + 1));
 				}
                 else {
 					Debug.println("1 obj.add(IMPL_DESC,"+value.substring(x+1,y));
-                    obj.add(IMPL_DESC, value.substring(x+1, y));
+                    obj.put(IMPL_DESC, value.substring(x + 1, y));
 				}
             } else {
 				Debug.println(" 2 obj.add(IMPL_CLASS,"+value.substring(0,y));
-                obj.add(IMPL_CLASS, value.substring(0,y));
+                obj.put(IMPL_CLASS, value.substring(0, y));
 				Debug.println(" 2 obj.add(IMPL_DESC,\"\"");
-                obj.add(IMPL_DESC,"");
+                obj.put(IMPL_DESC, "");
             }
 
             String type = "";
 			Debug.println("y="+y);
             if (y == -1) {
                 type = Constants.EDIT;
-                obj.add(IMPL_TYPE, Constants.EDIT);
+                obj.put(IMPL_TYPE, Constants.EDIT);
             } else {
                 type = value.substring(y+1);
-                obj.add(IMPL_TYPE, type);
+                obj.put(IMPL_TYPE, type);
             }
             if (type.equals(Constants.EDIT)) {
                 data.put(entry,obj);
@@ -339,7 +338,7 @@ public class AuthImplTab extends CMSBaseUGTab {
         try {
             mConnection.delete(mDestination,
                                ScopeDef.SC_AUTH_IMPLS,
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthInstanceTab.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthInstanceTab.java
index a4db6dd0a5d78117c962c7e619bc086595a3a694..929f99aefaa6c4b8e366698d2a8ef1a44c13c145 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthInstanceTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthInstanceTab.java
@@ -21,12 +21,7 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.config.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import java.awt.event.*;
-import java.awt.*;
-import java.util.*;
-import com.netscape.management.client.*;
-import com.netscape.management.client.util.*;
+
 import com.netscape.certsrv.common.*;
 
 /**
@@ -117,7 +112,7 @@ public class AuthInstanceTab extends CMSPluginInstanceTab {
         try {
             mConnection.delete(DestDef.DEST_AUTH_ADMIN,
                                ScopeDef.SC_AUTH_MGR_INSTANCE,
-                               data.getValue(RULE_NAME));
+                               data.get(RULE_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
@@ -139,7 +134,7 @@ public class AuthInstanceTab extends CMSPluginInstanceTab {
         NameValuePairs response;
         response = mConnection.read(DestDef.DEST_AUTH_ADMIN,
                                ScopeDef.SC_AUTH_MGR_INSTANCE,
-                               data.getValue(RULE_NAME),
+                               data.get(RULE_NAME),
                                new NameValuePairs());
         return response;
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthRuleDataModel.java
index 41fabfcc4b80e6deafbc928142e965d9984cc5c8..35e08d0ebf3fb44476564a5fb2ddc824967d114f 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/AuthRuleDataModel.java
@@ -21,7 +21,6 @@ import java.util.*;
 import javax.swing.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.config.*;
 import com.netscape.management.client.util.Debug;
 
@@ -54,10 +53,10 @@ public class AuthRuleDataModel extends CMSRuleDataModel
         NameValuePairs obj = (NameValuePairs) data;
 
         //XXX NEED TO ADD STUFF
-        v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_AUTH),
                     JLabel.LEFT));
-        v.addElement(obj.getValue(RULE_IMPL));
+        v.addElement(obj.get(RULE_IMPL));
         addRow(v, data);
     }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/CertDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/CertDataModel.java
index b6eda130869260fac2ae7e6947d00f8caa3102f8..de6a588f69468d6f2cc3825d3b8d4084ec69fbd5 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/CertDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/CertDataModel.java
@@ -18,7 +18,6 @@
 package com.netscape.admin.certsrv.ug;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
 import java.util.*;
@@ -60,7 +59,7 @@ public class CertDataModel extends CMSContentTableModel
         NameValuePairs obj = (NameValuePairs) data;
 
         //XXX NEED TO CHANGE if we are going to have multi-column table
-        v.addElement(new JLabel(obj.getValue(CERT_NAME),
+        v.addElement(new JLabel(obj.get(CERT_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_CERTICON_SMALL),
             JLabel.LEFT));
         addRow(v, data);
@@ -77,7 +76,7 @@ public class CertDataModel extends CMSContentTableModel
     public String getDataBlob(int row) {
         try {
             NameValuePairs obj = (NameValuePairs)getObjectValueAt(row);
-            return obj.getValue(CERT_DATA);
+            return obj.get(CERT_DATA);
         } catch (Exception e) {
             Debug.println("CertDataModel: getDataBlob()- "+e.toString());
             return "";
